Subject: Re: [PATCH RFC 2/2] ipv6: Add support for IPsec virtual tunnel interfaces

From: Steffen Klassert <[email-masked]>
Date: Tue, 27 Aug 2013 13:08:36 +0200

On Mon, Aug 26, 2013 at 11:37:38AM -0500, Dan Williams wrote:
> On Mon, 2013-08-19 at 08:27 +0200, Steffen Klassert wrote:
> > This patch adds IPv6  support for IPsec virtual tunnel interfaces
> > (vti). IPsec virtual tunnel interfaces provide a routable interface
> > for IPsec tunnel endpoints.
> 
> Are new ioctls for this kind of thing kosher?  Or should it be using
> netlink instead?
> 

Well, I used the existing interface that all tunnels use. In particular
the vti tunnel for ipv4 uses it and the ipv6 side should be similar.

We could extend the netlink interface for tunnels of course, but that's
another issue.